CREATE OR REPLACE TRIGGER DTULTATU_TABEPRECGER
BEFORE INSERT OR UPDATE OR DELETE
ON TABEPRECGER FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
      UPDATE TABEVENDGER
         SET DTULTATU = SYSDATE
       WHERE CDTABEPREC = :NEW.CDTABEPREC;
   END IF;

   IF UPDATING THEN
      :NEW.DTULTATU := SYSDATE;
      UPDATE TABEVENDGER
         SET DTULTATU = SYSDATE
       WHERE CDTABEPREC = :OLD.CDTABEPREC;
   END IF;

   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TABEPRECGER', NULL, 'CDTABEPREC='||:OLD.CDTABEPREC||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE TABEPRECGER MODIFY DTULTATU DEFAULT SYSDATE
/

UPDATE TABEPRECGER SET DTULTATU = SYSDATE WHERE DTULTATU IS NULL
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_TABEPRECGER','6.35.033'); END;
/

